package UserAuth::Base;
##############################################
#	Base class for User Authentication classes
#	Copyright: Slavej Karadjov -2003
##############################################
use strict;

sub new {
	my $proto = shift;
	my $class = ref($proto) || $proto;
	my $self = {
			PROTOCOL => "Base",
		   };
	bless ($self, $class);
}

sub getUserPass{
	my ($self,$sUserID) = @_;
	$self->_debug("getUserPass(): --NOT IMPLEMENTED--");
}
sub getUserIDFromLogin{
	my ($self,$sLogin) = @_;
	$self->_debug("getUserIDFromLogin(): --NOT IMPLEMENTED--");
}

sub getContactList {
	my ($self,$sUserID) = @_;
	$self->_debug("getUserPass(): --NOT IMPLEMENTED--");
}

# private functions
sub _debug {
	my($self, $sText) = @_;
	print "UserAuth::".$self->{PROTOCOL}." module - ".(scalar localtime())."] : $sText\n";
}

1;
