package Net::YahooMessenger::EmailEvent;
use base 'Net::YahooMessenger::Event';
use strict;

sub from
{
	my $self = shift;
	$self->_get_by_name('EMAIL_FROM');
}

sub email
{
	my $self = shift;
	$self->_get_by_name('EMAIL');
}

sub subject
{
	my $self = shift;
	$self->_get_by_name('EMAIL_SUBJECT');
}

sub count
{
	my $self = shift;
	$self->_get_by_name('NEW_EMAILS_NUMBER');
}

sub to_string
{
	my $self = shift;
	if($self->from && $self->email && $self->subject) {
		sprintf "New email from: %s <%s> with sibject %s\n",
			$self->from,$self->email,$self->subject;
	}
	elsif($self->count >0) {
		sprintf("We have (%s) new emails",$self->count);
	}
}


1;
__END__
