// manipulation commands
function execCmd(sParameters) {
	window.top.CMD.location.href="<?= ScreenURL("ec",1) ?>&"+sParameters;
}

function setStatus(sKey,sStatus) {
	var bExec = 1;
	switch(sStatus) {
		case 'ONL': window.top.hProtocols[sKey].setStatus(cnOnline);
			    break;
		case 'IDL': window.top.hProtocols[sKey].setStatus(cnIdle);
			    break;
		case 'BSY': window.top.hProtocols[sKey].setStatus(cnBusy);
			    break;
		case 'HDN': window.top.hProtocols[sKey].setStatus(cnHidden);
			    break;
		case 'OFF': window.top.hProtocols[sKey].setStatus(cnOffline);
			    break;
		default: // invalid status
			  bExec = 0;
			  break;
	}
	if(bExec) {
		window.top.updatePanel();
		execCmd('to='+sKey+'_SERVER&type=SYS&cmd=STAT&attr='+sStatus);
	}
}

function connectProtocol(sKey) {
	// set Connecting
	window.top.hProtocols[sKey].setConnecting(true);
	openMsgWin("<?= ScreenURL("cim") ?>&proto="+sKey,'Win_'+sKey,450,200);
}

function disconnectProtocol(sKey) {
	window.top.hProtocols[sKey].setConnected(false);
	window.top.hProtocols[sKey].setStatus(cnOffline);
	window.top.updatePanel();
	execCmd('to='+sKey+'_SERVER&type=SYS&cmd=DISCONNECT&attr=');
}

// visual commands
function togglePanelVisability(sID) {
	var element = document.getElementById( 'panel_'+sID )
	if(element.style.display=='none') {
		element.style.display = 'block'
		window.top.hProtocols[sID].setVisible(true);
	}
	else {
		element.style.display = 'none'
		window.top.hProtocols[sID].setVisible(false);
	}
}

function closePanel(sID) {
	var element = document.getElementById( 'panel_'+sID )
	element.style.display = 'none'
}

function openPanel(sID) {
	var element = document.getElementById( 'panel_'+sID )
	element.style.display = 'block'
}


function updateProtocolPanel() {
	var hUC = document.getElementById( 'PP' )

	var hProtocols = window.top.hProtocols
    	var sUsrHtml = ''

    	for( hKey in hProtocols )
    	{
		hProtocol = hProtocols[ hKey ]
		sUsrHtml += '<DIV class="group'+hKey+'" onClick="togglePanelVisability(\''+hKey+'\')" title="Click to unfold">'
		sUsrHtml += '<IMG src="' + sImageDir + aStatusImg[ hProtocol.getStatus() ] + '" class="ui" align="absmiddle">'
		//sUsrHtml += '<a href="#" onClick="togglePanelVisability(\''+hKey+'\')">[-]</a> '+ hProtocol.getName()
		sUsrHtml += hProtocol.getName()
		sUsrHtml += '</DIV>\n'

		//sUsrHtml += '<DIV class="menu" id="panel_'+hKey+'" onmouseover="openPanel(\''+hKey+'\')" onmouseout="closePanel(\''+hKey+'\')" style="display:'+(hProtocol.getVisible()?'block':'none')+'">'
		sUsrHtml += '<DIV class="menu" id="panel_'+hKey+'" style="display:'+(hProtocol.getVisible()?'block':'none')+'">'
		
		// Online/Connect
		if(!hProtocol.getConnected()) {
			sUsrHtml += '<A HREF="#" class="menuitem" onClick="connectProtocol(\''+hKey+'\')"; return false">ONLINE</A>'
		}
		//else if(hProtocol.getConnecting()) {
		//	sUsrHtml += '<a class="menuitemf">ONLINE</a>';
		//}
		else {
			sUsrHtml += '<A HREF="#" class="menuitem" onClick="setStatus(\''+hKey+'\',\'ONL\'); return false">ONLINE</A>'
		}

		var hStatus = new Array();
		hStatus['IDL'] = '<?= STR_STATUS_IDLE ?>';
		hStatus['BSY'] = '<?= STR_STATUS_BUSY ?>';
		hStatus['HDN'] = '<?= STR_STATUS_HIDDEN ?>';

		for(key in hStatus) {
			if(!hProtocol.getConnected()) {
				sUsrHtml += '<A class="menuitemf">'+hStatus[key]+'</A>'
			}
			else {
				sUsrHtml += '<A HREF="#" class="menuitem" onClick="setStatus(\''+hKey+'\',\''+key+'\'); return false">'+hStatus[key]+'</A>'
			}
		}

		// OFFLINE/Disconnect
		if(hProtocol.getConnected()) {
			sUsrHtml += '<A HREF="#" class="menuitem" onClick="disconnectProtocol(\''+hKey+'\'); return false"><?= STR_STATUS_OFFLINE ?></A>'
		}
		else if(hProtocol.getConnecting()) {
			sUsrHtml += '<a class="menuitemf"><?= STR_STATUS_OFFLINE ?></a>';
		}
		else if(!hProtocol.getConnected()){
			sUsrHtml += '<a class="menuitemf"><?= STR_STATUS_OFFLINE ?></a>';
		}
		else {
			sUsrHtml += '<A HREF="#" class="menuitem" onClick="setStatus(\''+hKey+'\',\'OFF\'); return false"><?= STR_STATUS_OFFLINE ?></A>'
		}

		if(hProtocol.getConnected()) {
			sUsrHtml +='<form name="form_'+hKey+'" style="background-color:#aaaaaa;" onSubmit="openMsgWin(\'<?= ScreenURL('m',1) ?>&ID='+hKey+'_\'+this.elements[\'proto_id\'].value); return false"><input name="proto_id" type="text" width="5"><input type="submit" value="[]"></form>'
		}

		sUsrHtml += '</DIV>\n'

	}
     	hUC.innerHTML = sUsrHtml
}
