package DS::Base;
###############################################
#	Base class for IM Dispatcher Server
#	(c) Slavei Karadjov - 2003
###############################################
use strict;

sub new {
	my $proto = shift;
	my $class = ref($proto) || $proto;
	my $self = {
			PROTOCOL => "Base",
		   };
	bless ($self, $class);
}


###############################################################################################
#	This function should return server (ip:port) that is most convinient to server client X
###############################################################################################
sub getFreeServer {
	my $self = shift();
        $self->_debug("getFreeServer(): --NOT IMPLEMENTED--");
}

sub createUserSess {
	my ($self, $sSessCookie, $sUserID, $sUserName, $sContactList, $sProtoVersion, $sClientName, $sSever)= @_;
	$self->_debug("createUserSess(): --NOT IMPLEMENTED--");
        return 1;
}


# private functions
sub _debug {
	my($self, $sText) = @_;
	print "DS::".$self->{PROTOCOL}." module - ".(scalar localtime())."] : $sText\n";
}

1;
