package FS::Base;
####################################
#	Front Server Base class
#	(c) Slavei Karadjov - 2003
####################################
use strict;

sub new {
	my $proto = shift;
	my $class = ref($proto) || $proto;
	my $self = {
			PROTOCOL => "Base",
		   };
	bless ($self, $class);
}

sub addUser {
	my ($self, $sOwnerID, $sUserID, $sName, $sXBIT) = @_;
	$self->_debug("--NOT IMPLEMENTED --");
}

sub authorizeUser {
	my ($self, $sOwnerID, $sUserID ) =@_;
	$self->_debug("--NOT IMPLEMENTED --");
}

sub addGroup {
	my($self, $sOwnerID, $sGroupName) = @_;
	$self->_debug("--NOT IMPLEMENTED --");
}

sub updateContactListUser {
	my($self, $sOwnerID, $sUserID, %hSetClause) = @_;
	$self->_debug("--NOT IMPLEMENTED --");
}

sub updateContactListGroup {
	my($self, $sOwnerID, $sUserID, %hSetClause) = @_;
	$self->_debug("--NOT IMPLEMENTED --");
}

sub moveContactListUser {
	my($self, $sOwnerID, $sUserID, $sFromGroup, $sToGroup) = @_;
	$self->_debug("--NOT IMPLEMENTED --");
}

sub delContactListUser {
	my($self, $sOwnerID, $sUserID) = @_;
	$self->_debug("--NOT IMPLEMENTED --");
}

sub delContactListGroup {
	my($self, $sOwnerID, $sGroupID) = @_;
	$self->_debug("--NOT IMPLEMENTED --");
}

sub delUserSess{
	my ($self, $sSessCookie) = @_;
	$self->_debug("--NOT IMPLEMENTED --");
}

#private functions
sub _debug {
	my($self, $sText) = @_;
	print "MessageServer::".$self->{PROTOCOL}." - [".(scalar localtime())."] : $sText\n";
}

1;
