# common functions
use strict;

sub trim {
    my @out = @_;
    for (@out) {
        s/^\s+//;
        s/\s+$//;
    }
    return wantarray ? @out : $out[0];	
}

sub loadConfig { #use common config file for PHP, Perl and other scripts
	my $file = shift();
	my %hConfig = ();
	if(open(CFG, "< $file")) {
		while(<CFG>) {
			my $line = trim($_);
			if($line =~ /^#/) {
				next;
			}
			my ($name, $value) = split(/=/,$line);
			if(length($name) && length($value)) {
				$name = trim($name);
				$value = trim($value);
				$hConfig{$name}=$value;
			}
		}
		close(CFG);
	} 
	return %hConfig;
}

1;
